QGIS Application - Bug report #8223

print composer print to pdf as raster results in blank pages and other problems

2013-07-05 05:33 AM - pvanbosgeo -

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No
Operating System: Ubuntu (Linux) Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 17037
Description

Printing to pdf with the print composer in QGIS master gives the following problems:

- If using symbol fills composed of two or more symbol layers: Adding a legend to the map works fine, but when printed out as pdf, the

symbols show only one colour (layer) of the symbol (see example 1.png)
- point symbols are missing in the pdf export
- If selecting the option "print as raster" the page(s) of the pdf output file are blank

History

#1 - 2013-07-05 04:29 PM - Giovanni Manghi
- Status changed from Open to Feedback

Are you on QGIS 1.8 or master? | can't replicate any of the above on master. If you are on master please provide a sample project (and data) to allow

replicate the issue. Thanks!

#2 - 2013-07-25 08:50 AM - Luca Lanteri
I can confirm the last one ("output file are blank") on QGIS 1.9-d0d2511 on win 7.
For me the problem appears only with "large" layout. It's work fine with A4 layout.

QGIS Crashes or create empty pdf with A1 or larger layout and at least a raster layer.

may be the same as #7791 and #4821

#3 - 2014-01-30 11:40 PM - Paolo Cavallini

- Target version changed from Version 2.0.0 to Future Release - High Priority

#4 - 2014-09-19 07:45 PM - Nyall Dawson

- Resolution set to invalid
- Status changed from Feedback to Closed

Closed due to lack of feedback - please reopen with a sample project if you still experience this issue.
